### Method

# GLib StaticPrivate get

#### Declaration

    gpointer
    g_static_private_get (
      GStaticPrivate* private_key
    )

#### Description

Works like `g_private_get()` only for a `GStaticPrivate`.

This function works even if `g_thread_init()` has not yet been called.

This method is not directly available to language bindings.

#### Return value

Type: `gpointer`

The corresponding pointer.

The data is owned by the instance.
The return value can be `NULL`.